## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extension   vertical-overview
%global uuid        %{extension}@RensAlthuis.github.com

Name:           gnome-shell-extension-%{extension}
Version:        10
Release:        %autorelease
Summary:        GNOME Shell extension for vertical overview and workspaces
License:        GPLv3+
BuildArch:      noarch
URL:            https://github.com/RensAlthuis/vertical-overview

Source:         %{url}/archive/v%{version}/%{extension}-%{version}.tar.gz

Requires:       gnome-shell-extension-common >= 42
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
Gnome has had vertically stacked workspaces for a long time.  The Gnome 40
update unfortunately made the switch to a horizontal layout.  A choice that
many Gnome users disagree with.  This extension Aims to replace the new Gnome
overview with something that resembles the old style.


%prep
%autosetup -p 1 -n %{extension}-%{version}


%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install main extension files
cp -r --preserve=mode,timestamps \
    *.js *.css *.ui metadata.json \
    %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%files
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
* Tue Nov 22 2022 Carl George <carl@george.computer> 10-1
- Update to version 10, resolves rhbz#2145006

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 23 2022 Carl George <carl@george.computer> 9-1
- Latest upstream, resolves rhbz#2089438

* Sun Apr 10 2022 Carl George <carl@george.computer> - 8^2.f8e39b7-1
- Latest upstream snapshot

* Mon Apr 04 2022 Carl George <carl@george.computer> - 8^1.e326269-4
- Revise GNOME 42 patch

* Sun Mar 20 2022 Carl George <carl@george.computer> - 8^1.e326269-3
- Add patch to fix extension on GNOME 42

* Fri Feb 11 2022 Carl George <carl@george.computer> - 8^1.e326269-2
- Revert rpmautospec changes to fix changelog

* Fri Feb 11 2022 Carl George <carl@george.computer> - 8^1.e326269-1
- Latest upstream snapshot

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Oct 01 2021 Carl George <carl@george.computer> - 8-1
- Latest upstream

* Tue Sep 07 2021 Carl George <carl@george.computer> - 6^2.b0d20b5-1
- Latest upstream snapshot

* Mon Aug 30 2021 Carl George <carl@george.computer> - 6^1.d42c869-3
- Add patch to fix GNOME 40.4 breakage
- Install schema xml as correct filename

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6^1.d42c869-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 13 2021 Carl George <carl@george.computer> - 6^1.d42c869-1
- Initial package
- Resolves: rhbz#1981621

